Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000755 [Piwigo] other minor always 2007.09.27 00:44 2007.10.04 01:36
Reporter mathiasm View Status public  
Assigned To
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.7.1 Product Version
  Target Version Product Build
Summary 0000755: Sort permalink table on category field is broken
Description Go to Administration, menu section "Categories", Permalinks

When you click the down arrow to sort on the second field of the permalink table, it does not work. Moreover, the arrow does not become italicized as it should if sort was active.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001992)
mathiasm (manager)
2007.09.27 00:56

Please note that this field has no sort option in the second table. Maybe it should just be removed.
(0001993)
rvelices (developer)
2007.09.28 01:01

this field is the default sort for the table.
it is useful only when the table is sorted on another column

I agree it should appear in italic by default
(0001994)
mathiasm (manager)
2007.09.28 01:22

> this field is the default sort for the table.
Yes, but the sort occurs on Id, I think, not on the category names. So there is no consistency about this sort for the administrator of the gallery.
(0001995)
rvelices (developer)
2007.09.28 04:43

>> this field is the default sort for the table.
> Yes, but the sort occurs on Id, I think, not on the category names. So there is no consistency about this sort for the administrator of the gallery.

the sort is not on Id but on the order of categories (as they appear in the menubar)
i will fix it so that it appear italic
(0001999)
rvelices (developer)
2007.10.04 01:36

trunk [Subversion] r2119
branch 1.7 [Subversion] r2120

- Issue History
Date Modified Username Field Change
2007.09.27 00:44 mathiasm New Issue
2007.09.27 00:44 mathiasm browser => any
2007.09.27 00:44 mathiasm Web server => Apache 1.3.x
2007.09.27 00:56 mathiasm Note Added: 0001992
2007.09.28 01:01 rvelices Note Added: 0001993
2007.09.28 01:22 mathiasm Note Added: 0001994
2007.09.28 04:43 rvelices Note Added: 0001995
2007.10.04 01:36 rvelices Note Added: 0001999
2007.10.04 01:36 rvelices Status new => closed
2007.10.04 01:36 rvelices Resolution open => fixed
2007.10.04 01:36 rvelices Fixed in Version => 1.7.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker